package {
import flash.display.GradientType;
import flash.display.MovieClip;
import flash.geom.Matrix;
import flash.text.TextField;
import flash.events.Event;
import flash.display.SpreadMethod;
import flash.display.InterpolationMethod;

public class Ball extends MovieClip {
  protected var d:Number;
  public function Ball(color:int, label:String):void {
    super();
    graphics.lineStyle(1, 0x000000, 100);
    var colors:Array = [color, 0xFFFFFF];
    var alphas:Array = [1, 1];
    var ratios:Array = [0, 255];
    var matrix:Matrix = new Matrix();
    matrix.createGradientBox(
      /*Width:			*/60,
      /*Height:			*/60,
      /*Rotation:		*/0,
      /*X:			*/-30,
      /*Y:			*/-30
    );
    graphics.beginGradientFill(
      /*GradientType:		*/GradientType.RADIAL,
      /*colors:			*/colors,
      /*alphas:			*/alphas,
      /*ratios:			*/ratios,
      /*Matrix:			*/matrix,
      /*SpreadMethod:		*/SpreadMethod.PAD,
      /*InterpolationMethod:	*/InterpolationMethod.LINEAR_RGB,
      /*focalPointRatio:	*/0
    );
    graphics.drawCircle(x, y, 30);
    graphics.endFill();
    var myTextField:TextField = new TextField();
    myTextField.text = label;
    addChild(myTextField);
    d = -0.05;
    addEventListener(Event.ENTER_FRAME, animate);
  }
  public function animate(ev:Event):void {
    alpha += d;
    if (alpha < 0) { d = 0.05; }
    else if (alpha > 1) { d = -0.05; }
    var mat:Matrix = new Matrix();
    mat.scale(1-alpha, 1);
    mat.translate(x, y);
    transform.matrix = mat;
  }
}

}
