package {
import flash.display.Sprite;
import flash.text.TextField;
import flash.text.TextFieldAutoSize;

public class ExampleXML extends Sprite {
  static protected var myTextBox:TextField = new TextField();
  static protected var myText:String = "";

  public function ExampleXML():void {
    super();
    myTextBox.autoSize = TextFieldAutoSize.LEFT;
    addChild(myTextBox);

    var myText:String = "\
<order>\
  <item id='1'>\
    <menuName>burger</menuName>\
    <price>3.95</price>\
  </item>\
  <item id='2'>\
    <menuName>fries</menuName>\
    <price>1.45</price>\
  </item>\
</order>\
";
    var myXML:XML = new XML(myText);

    trace("myXML.item[0].menuName: " + myXML.item[0].menuName);
    trace("myXML.item.(@id==2).menuName: " + myXML.item.(@id==2).menuName);
    trace("myXML.item.(menuName==\"burger\").price: " + myXML.item.(menuName=="burger").price);
    trace("");

    myXML.appendChild(new XML("\
  <item id=\"3\">\
    <menuName>medium cola</menuName>\
    <price>1.25</price>\
  </item>\
"));

    trace("myXML.item[2].menuName: " + myXML.item[2].menuName);
    trace("myXML.item.(@id==3).menuName: " + myXML.item.(@id==3).menuName);
    trace("myXML.item.(price==1.25).menuName: " + myXML.item.(price==1.25).menuName);

    trace("");

    myXML.item[0].menuName="regular burger";
    myXML.item[1].menuName="small fries";
    myXML.item[2].menuName="medium cola";
    myXML.item.(menuName=="regular burger").@quantity = "2";
    myXML.item.(menuName=="small fries").@quantity = "2";
    myXML.item.(menuName=="medium cola").@quantity = "2";

    var total:Number = 0;
    for each (var property:XML in myXML.item) {
      var q:int = Number(property.@quantity);
      var p:Number = Number(property.price);
      var itemTotal:Number = q * p;
      total += itemTotal;
      trace("menuName: " + property.menuName + " " +
        "price: " + property.price + " * " +
         "@quantity: " + q + " = " + itemTotal.toFixed(2));
    }
    trace("Total: $" + total.toFixed(2));
  }
  private function trace(text:String):void {
    myText += text + "\n";
    myTextBox.text = myText;
  }
}

}
