package {
import flash.display.Sprite;
import flash.text.TextField;
import flash.text.TextFieldAutoSize;

public class ExampleRegExp extends Sprite {
  static protected var myTextBox:TextField = new TextField();
  static protected var myText:String = "";

  public function ExampleRegExp():void {
    var regexp:String;
    var pattern:RegExp;
    var target:String;
    var result:Boolean;
    var dest:String;

    super();
    myTextBox.autoSize = TextFieldAutoSize.LEFT;
    addChild(myTextBox);

    regexp = "ABC";
    pattern = new RegExp(regexp,"i");
    target = "abc";
    dest = "efg";
    trace("[regexp]" + regexp + " " +
      "[target]" + target + " " +
      "[match]" + (result = pattern.test(target)) + " " +
      "[replace]" + target.replace(pattern,dest));

    regexp = "<P>.*?</P>";
    pattern = new RegExp(regexp,"is");
    target = "<p>paragraph1\n</p><p>paragraph2</p>";
    dest = "";
    trace("[regexp]" + regexp + " " +
      "[target]" + target + " " +
      "[match]" + (result = pattern.test(target)) + " " +
      "[replace]" + target.replace(pattern,dest));

    regexp = "(sh\\w*)";
    pattern = new RegExp(regexp,"g");
    target = "she sells seashells by the seashore.\n";
    dest = "($1)";
    trace("[regexp]" + regexp + " " +
      "[target]" + target + " " +
      "[match]" + (result = pattern.test(target)) + " " +
      "[replace]" + target.replace(pattern,dest));
  }
  private function trace(text:String):void {
    myText += text + "\n";
    myTextBox.text = myText;
  }
}

}
