package {
import flash.events.TextEvent;
import flash.text.TextFieldType;
import flash.display.Sprite;
import flash.text.TextField;

public class ExampleUserInputText extends Sprite {
  static protected var myTextBox:TextField = new TextField();
  static protected var myOutputBox:TextField = new TextField();
  static protected var myText:String = "テキストが追加されると捕捉されます。";

  public function ExampleUserInputText() {
    super();
    captureText();
  }
  public function captureText():void {
    myTextBox.type = TextFieldType.INPUT;
    myTextBox.background = true;
    myTextBox.width = 160;
    myTextBox.multiline = true;
    myTextBox.wordWrap = true;
    myTextBox.border = true;
    addChild(myTextBox);
    myTextBox.text = myText;
    myTextBox.addEventListener(TextEvent.TEXT_INPUT, textInputCapture);
  }
  public function textInputCapture(event:TextEvent):void {
    var str:String = myTextBox.text;
    createOutputBox(str);
  }
  public function createOutputBox(str:String):void {
    myOutputBox.background = true;
    myOutputBox.width = 160;
    myOutputBox.multiline = true;
    myOutputBox.wordWrap = true;
    myOutputBox.border = true;
    myOutputBox.x = 160;
    addChild(myOutputBox);
    myOutputBox.text = str;
  }
}

}
